View Issue Details

IDProjectCategoryView StatusLast Update
0038167LazarusDebuggerpublic2021-01-10 11:26
ReporterChristo Crause Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86-64OSWindows 
Product Version2.0.10 
Fixed in Version2.2 
Summary0038167: Cannot debug a 64 bit executable in 32 bit IDE - no error message when using FpDebug
DescriptionWhen attempting to debug a 64 bit executable application in a 32 bit IDE on Windows 10, the executable cannot be debugged using FpDebug. An error message to inform the user of the nature of the problem would be useful.
TagsNo tags attached.
Fixed in Revision64243
LazTarget2.2
WidgetsetWin32/Win64
Attached Files

Activities

Martin Friebe

2020-12-19 23:40

manager   ~0127710

The FpDebugger now shows an error, if it can not start an application.

Please test and close if ok.

Christo Crause

2021-01-10 11:26

reporter   ~0128236

Thanks Martin, correct error message is now displayed when trying to debug 64 bit exe from 32 bit debugger.

Issue History

Date Modified Username Field Change
2020-12-04 14:13 Christo Crause New Issue
2020-12-04 14:13 Christo Crause Status new => assigned
2020-12-04 14:13 Christo Crause Assigned To => Martin Friebe
2020-12-19 23:40 Martin Friebe Status assigned => resolved
2020-12-19 23:40 Martin Friebe Resolution open => fixed
2020-12-19 23:40 Martin Friebe Fixed in Version => 2.2
2020-12-19 23:40 Martin Friebe Fixed in Revision => 64243
2020-12-19 23:40 Martin Friebe LazTarget => 2.2
2020-12-19 23:40 Martin Friebe Widgetset Win32/Win64 => Win32/Win64
2020-12-19 23:40 Martin Friebe Note Added: 0127710
2021-01-10 11:26 Christo Crause Status resolved => closed
2021-01-10 11:26 Christo Crause Note Added: 0128236